Loading...
Searching...
No Matches
gr::fec::code::ldpc_par_mtrx_encoder Class Referenceabstract

`#include <gnuradio/fec/ldpc_par_mtrx_encoder.h>`

## Public Member Functions

double | rate () override=0
bool | set_frame_size (unsigned int frame_size) override=0
int | get_output_size () override=0
int | get_input_size () override=0
Public Member Functions inherited from gr::fec::generic_encoder
virtual void | generic_work (const void *in_buffer, void *out_buffer)=0
int | unique_id ()
std::string | alias ()
virtual const char * | get_input_conversion ()
virtual const char * | get_output_conversion ()
| generic_encoder (void)
| generic_encoder (std::string name)
virtual | ~generic_encoder ()

## Static Public Member Functions

static generic_encoder::sptr | make (std::string alist_file, unsigned int gap=0)
static generic_encoder::sptr | make_H (const code::ldpc_H_matrix::sptr H_obj)

## Additional Inherited Members

Public Types inherited from gr::fec::generic_encoder
typedef std::shared_ptr< generic_encoder > | sptr
Public Attributes inherited from gr::fec::generic_encoder
int | my_id
std::string | d_name
Static Public Attributes inherited from gr::fec::generic_encoder
static int | base_unique_id
Protected Attributes inherited from gr::fec::generic_encoder
gr::logger_ptr | d_logger

## Member Function Documentation

## get_input_size()

int gr::fec::code::ldpc_par_mtrx_encoder::get_input_size | ( |  | ) |

override pure virtual

Returns the input size in items that the encoder object uses to encode a full frame. Often, this number is the number of bits per frame if the input format is unpacked. If the block expects packed bytes, then this value should be the number of bytes (number of bits / 8) per input frame.

The child class MUST implement this function.

Implements gr::fec::generic_encoder.

## get_output_size()

int gr::fec::code::ldpc_par_mtrx_encoder::get_output_size | ( |  | ) |

override pure virtual

Returns the output size in items that the encoder object produces after encoding a full frame. Often, this number is the number of bits in the outputted frame if the input format is unpacked. If the block produces packed bytes, then this value should be the number of bytes (number of bits / 8) per frame produced. This value is generally something like R*get_input_size() for a 1/R rate code.

The child class MUST implement this function.

Implements gr::fec::generic_encoder.

## make()

generic_encoder::sptr gr::fec::code::ldpc_par_mtrx_encoder::make | ( | std::string | alist_file,
|  | unsigned int | gap = 0 )

static

## make_H()

generic_encoder::sptr gr::fec::code::ldpc_par_mtrx_encoder::make_H | ( | const code::ldpc_H_matrix::sptr | H_obj | ) |

static

## rate()

double gr::fec::code::ldpc_par_mtrx_encoder::rate | ( |  | ) |

override pure virtual

Returns the rate of the code. For every 1 input bit, there are r output bits, so the rate is 1/r. Used for setting things like the encoder block's relative rate.

This function MUST be reimplemented by the child class.

Implements gr::fec::generic_encoder.

## set_frame_size()

bool gr::fec::code::ldpc_par_mtrx_encoder::set_frame_size | ( | unsigned int | frame_size | ) |

override pure virtual

Updates the size of the frame to encode.

The child class MUST implement this function and interpret how the `frame_size` information affects the block's behavior. It should also provide bounds checks.

Implements gr::fec::generic_encoder.

The documentation for this class was generated from the following file:

- ldpc_par_mtrx_encoder.h